# Record Class MFileName

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MFileName

Record Components:
  `name` - The name

All Implemented Interfaces:
  `Comparable<MFileName>`

public record MFileName(String name) extends Record implements Comparable<MFileName>
A file name. File names are not case-sensitive.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MFileName(String name)`
  A file name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(MFileName other)`
  `boolean`
  `equals(Object other)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MFileName

    public MFileName(String name)
    A file name. File names are not case-sensitive.
    Parameters:
      `name` - The name

- ## Method Details

  - ### equals

    public boolean equals(Object other)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `other` - the object with which to compare
    Returns:
      `true` if this object is the same as the `other` argument; `false` otherwise.

  - ### hashCode

    public int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(MFileName other)
    Specified by:
      `compareTo` in interface `Comparable<MFileName>`

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component